gr-baz Package

baz_tag_to_msg Class Reference
GNU Radio baz C++ Signal Processing Blocks

square2 a stream of floats. More...

`#include <baz_tag_to_msg.h>`

Inheritance diagram for baz_tag_to_msg:
[legend]

## Public Member Functions
| ~baz_tag_to_msg ()
void | set_msgq (gr::msg_queue::sptr msgq)
void | set_appended_string (const char *append)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends
baz_tag_to_msg_sptr | baz_make_tag_to_msg (int item_size, gr::msg_queue::sptr msgq, const char *append=NULL)
| Return a shared_ptr to a new instance of baz_tag_to_msg.

## Detailed Description

square2 a stream of floats.

This uses the preferred technique: subclassing gr::sync_block.

## Constructor & Destructor Documentation

## ◆ ~baz_tag_to_msg()

baz_tag_to_msg::~baz_tag_to_msg | ( |  | ) |

## Member Function Documentation

## ◆ set_appended_string()

void baz_tag_to_msg::set_appended_string | ( | const char * | append | ) |

## ◆ set_msgq()

void baz_tag_to_msg::set_msgq | ( | gr::msg_queue::sptr | msgq | ) |

## ◆ work()

int baz_tag_to_msg::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## ◆ baz_make_tag_to_msg

baz_tag_to_msg_sptr baz_make_tag_to_msg | ( | int | item_size,
|  | gr::msg_queue::sptr | msgq,
|  | const char * | append = NULL )
| friend

Return a shared_ptr to a new instance of baz_tag_to_msg.

To avoid accidental use of raw pointers, baz_tag_to_msg's constructor is private. baz_make_tag_to_msg is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- baz_tag_to_msg.h